Get Tournament Participants
curl --request GET \
--url https://api.16tms.com/api/v1/tournaments/{tournamentId}/participants \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/tournaments/{tournamentId}/participants"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/tournaments/{tournamentId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tournament participants fetched successfully",
"data": {
"items": [
{
"tournamentParticipantId": "cbf13f1e-573e-42b7-abef-a164287b40d2",
"tournamentId": "68b5b039-2183-421c-9b47-b937e4736d25",
"tournamentName": "Free Fire Clash",
"participantId": "b12527ac-34c4-49a5-883e-682f93c51256",
"participantType": 1,
"participantName": "Phoenix_Rising",
"participantLogo": "https://api.dicebear.com/7.x/identicon/svg?seed=Phoenix",
"joinedAt": "2026-02-10T07:04:35.198734Z",
"totalMemberCount": 4,
"externalId": null,
"isMe": null
},
{
"tournamentParticipantId": "af51251d-7d9a-498e-973e-3f358e63ea57",
"tournamentId": "68b5b039-2183-421c-9b47-b937e4736d25",
"tournamentName": "Free Fire Clash",
"participantId": "f661cc49-19f4-4b0a-a167-8b596bc8ad8e",
"participantType": 1,
"participantName": "Dark_Knights",
"participantLogo": "https://api.dicebear.com/7.x/identicon/svg?seed=Knights",
"joinedAt": "2026-02-10T07:04:35.477279Z",
"totalMemberCount": 4,
"externalId": null,
"isMe": null
}
],
"totalCount": 2,
"pageNumber": 1,
"pageSize": 20,
"totalPages": 1
},
"meta": {
"traceId": "00-b32b8151b4c1dd831fda494a00e06c50-1f3de4ce8a71005b-00",
"elapsedMs": 27.86,
"serverTimestamp": "2026-02-17T10:17:41.979395Z"
}
}API Reference
Get Tournament Participants
Fetch a list of participants for a specific tournament.
GET
/
tournaments
/
{tournamentId}
/
participants
Get Tournament Participants
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the tournament
Query Parameters
External ID of the user. If provided, 'isMe' field will be populated.
Filter by Round ID
Filter by Group ID
Filter by Match ID
Page number for pagination
Number of items per page
Filter by Group Version
⌘I